-- settings mock
SettingsMock = {}
SettingsMock.__index = SettingsMock

function SettingsMock:new()
    settings = {}
    setmetatable(settings, self)
    return settings
end

function SettingsMock:get_bool(key)
    -- TODO: add basic type checks
    return self[key]
end

function SettingsMock:get_string(key)
    return self[key]
end

function SettingsMock:set_string(key, value)
    self[key] = value
end

